CacheRuntimeException (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache, class: CacheRuntimeException

Package org.apache.geode.cache

# Class CacheRuntimeException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.geode.GemFireException
org.apache.geode.cache.CacheRuntimeException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `CacheXmlException`, `CancelException`, `CqClosedException`, `DiskAccessException`, `EntryDestroyedException`, `FailedSynchronizationException`, `IndexMaintenanceException`, `JdbcConnectorException`, `OperationAbortedException`, `PartitionedRegionDistributionException`, `PartitionedRegionStorageException`, `QueryExecutionLowMemoryException`, `QueryExecutionTimeoutException`, `RegionDestroyedException`, `RegionNotFoundException`, `ResourceException`, `RoleException`, `StatisticsDisabledException`, `SynchronizationCommitConflictException`

public abstract class CacheRuntimeException extends GemFireException
A generic runtime exception that indicates a cache error has occurred. All the other runtime cache exceptions are the subclass of this class. This class is abstract so only subclasses can be instantiated

Since:
  GemFire 3.0
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CacheRuntimeException()`
  Creates a new instance of `CacheRuntimeException` without detail message.
  `CacheRuntimeException(String msg)`
  Constructs an instance of `CacheRuntimeException` with the specified detail message.
  `CacheRuntimeException(String msg, Throwable cause)`
  Constructs an instance of `CacheRuntimeException` with the specified detail message and cause.
  `CacheRuntimeException(Throwable cause)`
  Constructs an instance of `CacheRuntimeException` with the specified cause.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`

  ### Methods inherited from class org.apache.geode.GemFireException

  `getRootCause`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CacheRuntimeException

    public CacheRuntimeException()
    Creates a new instance of `CacheRuntimeException` without detail message.

  - ### CacheRuntimeException

    public CacheRuntimeException(String msg)
    Constructs an instance of `CacheRuntimeException` with the specified detail message.
    Parameters:
      `msg` - the detail message

  - ### CacheRuntimeException

    public CacheRuntimeException(String msg, Throwable cause)
    Constructs an instance of `CacheRuntimeException` with the specified detail message and cause.
    Parameters:
      `msg` - the detail message
      `cause` - the causal Throwable

  - ### CacheRuntimeException

    public CacheRuntimeException(Throwable cause)
    Constructs an instance of `CacheRuntimeException` with the specified cause.
    Parameters:
      `cause` - the causal Throwable

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Throwable`